Bug 119693 - gendiff "-U0 with ChangeLog" feature messes up when latest entry has same header
Summary: gendiff "-U0 with ChangeLog" feature messes up when latest entry has same header
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-01 15:39 UTC by Mark McLoughlin
Modified: 2007-04-18 17:05 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-02 12:48:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark McLoughlin 2004-04-01 15:39:55 UTC
gendiff strips out the context of patches to ChangeLog which is
a really sweet feature which makes sure the patch always applies
cleanly to the top of the Changelog.

However, it breaks down if the diff is against a ChangeLog where
the most recent entry has the same header as the one in the diff
and you end up with something like

+     * foo.c: fix
+
+2004-04-01  Mark McLoughlin  <mark@skynet.ie>
+

I know that is the correct output for diff -U0, but it'd be cool
if we could detect this situation and reverse it to

+2004-04-01  Mark McLoughlin  <mark@skynet.ie>
+
+     * foo.c: fix
+

Comment 1 Mark McLoughlin 2004-04-01 15:43:45 UTC
Oh, gendiff is in rpm, not patchutils ...

Comment 2 Jeff Johnson 2004-04-02 12:48:41 UTC
"Patches cheerfully accepted." is my motto.


Note You need to log in before you can comment on or make changes to this bug.